#!/bin/sh

if test "$1" = ""; then
	echo "Usage: $0 <patch>"
	exit
fi

LIST=`find ??*/trunk/ -maxdepth 0 -type d | sort --unique`

for entry in ${LIST}; do
	echo "$0: Patching in ${entry} ..."
	cd "${entry}"
	patch -p0 < "../../$1"
	cd -
done
